Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class PrintPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.content.servlets.jsp.taglib.BaseTag
              com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag
                  com.bea.p13n.content.servlets.jsp.taglib.PrintPropertyTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class PrintPropertyTag
extends GetPropertyTag

Tag to print a property of a ConfigurableEntity.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag
`dateFormat, defValue, encodeType, entity, maxLength, name, numFormat, resultId, resultType, scope`

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PrintPropertyTag()` Deprecated.

Method Summary
`String` | `getResultId()` Deprecated. Override to always return null.
`void` | `setResultId(String resultId)` Deprecated. Override to never set the resultId.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag
`doStartTag, encode, encode, getDateFormat, getDefault, getEncode, getMaxLength, getName, getNumFormat, getResultType, getScope, release, setDateFormat, setDefault, setEncode, setEntity, setMaxLength, setMaxLength, setName, setNumFormat, setResultType, setScope, toString, toString, toString`

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintPropertyTag

    public PrintPropertyTag()

  Deprecated.

Method Detail

### getResultId

    public String getResultId()

  Deprecated.
  Override to always return null.

  Overrides:
    `getResultId` in class `GetPropertyTag`

### setResultId

    public void setResultId(String resultId)

  Deprecated.
  Override to never set the resultId.

  Overrides:
    `setResultId` in class `GetPropertyTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved